#!/bin/sh

set -exu

cd "$AUTOPKGTEST_TMP"

cat > CMakeLists.txt << 'END'
cmake_minimum_required(VERSION 3.7)
project(autopkgtest_orocos_bfl)
set(BUILD_EXAMPLES ON)
include(FindPkgConfig)
pkg_check_modules(OROCOS_BFL REQUIRED orocos-bfl)
include_directories(${OROCOS_BFL_INCLUDE_DIRS})
link_directories(${OROCOS_BFL_LIBRARY_DIRS})
include_directories(/usr/share/doc/liborocos-bfl-examples/examples/)
ADD_SUBDIRECTORY(/usr/share/doc/liborocos-bfl-examples/examples/compare_filters compare_filters)
ADD_SUBDIRECTORY(/usr/share/doc/liborocos-bfl-examples/examples/linear_kalman linear_kalman)
ADD_SUBDIRECTORY(/usr/share/doc/liborocos-bfl-examples/examples/nonlinear_kalman nonlinear_kalman)
ADD_SUBDIRECTORY(/usr/share/doc/liborocos-bfl-examples/examples/nonlinear_particle nonlinear_particle)
ADD_SUBDIRECTORY(/usr/share/doc/liborocos-bfl-examples/examples/smoother smoother)
ADD_SUBDIRECTORY(/usr/share/doc/liborocos-bfl-examples/examples/discrete_filter discrete_filter)
END

mkdir build
cmake -H. -Bbuild
cmake --build build
